> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rhode_island/companies

> Get a Rhode Island business's registry record from the Secretary of State by its Identification Number: exact name, entity type, formation/registration and effective dates, jurisdiction of formation, prior and merged names, fictitious names, principal and mailing addresses, resident agent (name and address), officers/directors or managers (title, name, address), authorized stock classes, purpose and NAICS code.

**Price:** 5 credits

**⚠️ Common errors:** 412: No business found for the given Identification Number



## OpenAPI

````yaml /openapi/company-registries.json post /api/rhode_island/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rhode_island/companies:
    post:
      tags:
        - US
      summary: /rhode_island/companies
      description: >-
        Get a Rhode Island business's registry record from the Secretary of
        State by its Identification Number: exact name, entity type,
        formation/registration and effective dates, jurisdiction of formation,
        prior and merged names, fictitious names, principal and mailing
        addresses, resident agent (name and address), officers/directors or
        managers (title, name, address), authorized stock classes, purpose and
        NAICS code.


        **Price:** 5 credits


        **⚠️ Common errors:** 412: No business found for the given
        Identification Number
      operationId: __api_rhode_island_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RhodeIslandCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RhodeIslandCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RhodeIslandCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id_number:
          type: string
      type: object
      required:
        - id_number
    RhodeIslandCompany:
      properties:
        '@type':
          type: string
          default: RhodeIslandCompany
        id_number:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
        formation_date:
          anyOf:
            - type: string
            - type: 'null'
        formation_date_label:
          anyOf:
            - type: string
            - type: 'null'
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
        jurisdiction_state:
          anyOf:
            - type: string
            - type: 'null'
        jurisdiction_country:
          anyOf:
            - type: string
            - type: 'null'
        former_names:
          items:
            $ref: '#/components/schemas/RhodeIslandFormerName'
          type: array
          default: []
        mergers:
          items:
            $ref: '#/components/schemas/RhodeIslandMerger'
          type: array
          default: []
        fictitious_names:
          items:
            $ref: '#/components/schemas/RhodeIslandFictitiousName'
          type: array
          default: []
        principal_address:
          anyOf:
            - $ref: '#/components/schemas/RhodeIslandAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/RhodeIslandAddress'
            - type: 'null'
        resident_agent:
          anyOf:
            - $ref: '#/components/schemas/RhodeIslandAgent'
            - type: 'null'
        agent_resigned:
          anyOf:
            - type: boolean
            - type: 'null'
        members_managed:
          anyOf:
            - type: string
            - type: 'null'
        officers:
          items:
            $ref: '#/components/schemas/RhodeIslandOfficer'
          type: array
          default: []
        stocks:
          items:
            $ref: '#/components/schemas/RhodeIslandStock'
          type: array
          default: []
        purpose:
          anyOf:
            - type: string
            - type: 'null'
        naics:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - id_number
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RhodeIslandFormerName:
      properties:
        '@type':
          type: string
          default: RhodeIslandFormerName
        name:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandMerger:
      properties:
        '@type':
          type: string
          default: RhodeIslandMerger
        name:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandFictitiousName:
      properties:
        '@type':
          type: string
          default: RhodeIslandFictitiousName
        name:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandAddress:
      properties:
        '@type':
          type: string
          default: RhodeIslandAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandAgent:
      properties:
        '@type':
          type: string
          default: RhodeIslandAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandOfficer:
      properties:
        '@type':
          type: string
          default: RhodeIslandOfficer
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RhodeIslandStock:
      properties:
        '@type':
          type: string
          default: RhodeIslandStock
        stock_class:
          anyOf:
            - type: string
            - type: 'null'
        series:
          anyOf:
            - type: string
            - type: 'null'
        par_value:
          anyOf:
            - type: string
            - type: 'null'
        authorized_count:
          anyOf:
            - type: string
            - type: 'null'
        issued_count:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````